package com.seatel.mobilehall.ui.profile.interactor

import com.android.volley.VolleyError
import com.seatel.mobilehall.ui.profile.model.MySubscriptionModel

interface MySubScriptionInteractor {

    interface View {
        fun onLoadDataSucceed(mySubscriptionModel: MySubscriptionModel) {}
        fun onLoadDataFailed(error: VolleyError) {}
        fun onSubListActionClick(sizeList: Int, show: Boolean, isClick: Boolean = true) {}
    }

    interface Presenter {
        fun onLoadData(phoneNumber: String)
    }

}